package sgc.portal.cw.cw1602.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1602.model.CW16020001U;
import sgc.portal.cw.cw1602.dto.CW16020001USearch;

import java.util.List;

@Mapper
public interface CW16020001UMapper {
	
	
    List<EasyHashMap<String, Object>> getList(CW16020001USearch search);
	
    List<EasyHashMap<String, Object>> selectCommonCode(CW16020001USearch search);
	
    List<EasyHashMap<String, Object>> selectCodeClose(CW16020001USearch search);

    int insert(CW16020001U cW16020001U);

    int update(CW16020001U cW16020001U);

    int delete(CW16020001U cW16020001U);
    
    int updateStatus(CW16020001U cW16020001U);
    
    int deleteAtchfileId(CW16020001U cW16020001U);
    int selectAtchfileIdCount(CW16020001U cW16020001U);
}
